/* Parent Container */
.feature-post-container {
    background-position: 50% 180%;
}

/* Feature posts Grid */
.feature-post-container .feature-posts-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
}

.feature-post-container .feature-posts-grid .feature-post-content{
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.feature-post-container .feature-posts-grid .feature-post-content a{
    margin-top:auto;
}
@media(max-width:1200px){
.feature-post-container .feature-posts-grid{
     grid-template-columns: repeat(2,1fr);
}
.featured-posts-section {
    background-image:url('/wp-content/uploads/2025/10/home-Vector-5.webp') !important;
}
}

@media(max-width:768px){
.feature-post-container .feature-posts-grid{
     grid-template-columns: repeat(1, 1fr);
}
}

/* Feature post Card */
.feature-post-container .feature-post-card {
    display: flex;
    flex-direction: column;
    gap: 16px;
    background: #fff;
    border-radius: 10px;
    overflow: hidden;
    padding: 20px;
    box-shadow: 12px 21px 17px 0px rgba(87, 93, 122, 0.05);
    height:100%;
   
}

/* Thumbnail */
.feature-post-container .feature-post-thumb {
    height: 250px;
    overflow: hidden;
}

.feature-post-container .feature-post-thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    border-radius: 10px;
}

/* Category */
.feature-post-container .feature-post-category {
    display: inline-block;
    background: #EDEAF5;
    color: #05053B;
    font-size: 16px;
    line-height: 150%;
    padding: 4px 16px;
    border-radius: 20px;
    /* margin-top: 15px; */
}

/* Title */
.feature-post-container .feature-post-title{
    /* flex-grow: 1; */
}
.feature-post-container .feature-post-title h3{
    margin-bottom: 0px;
}

.feature-post-container .feature-post-title h3 a{
    color:black;
}

.feature-post-container .feature-post-title p{
    font-size: 20px;
    font-weight: 700;
    margin: 0px;
    line-height: 140%;
    color: #05053B;
}
.feature-post-container .feature-post-title a:hover{
    text-decoration: none;
    color: var(--sky-blue);
}

/* Excerpt */
.feature-post-container .feature-post-excerpt {
    font-size: 16px;
    color: #05053B;
    line-height: 150%;
    margin: 0 0 15px;
}

/* Button */
.feature-post-container .feature-post-btn {
    padding: 0px;
    text-align: center;

}
.feature-post-container .feature-post-btn a {
    padding: 16px 20px;
    width: 100%;
    text-decoration: none;

}

.feature-post-container .feature-post-btn:hover {
    background: #247CBF;
    color: #fff;
}

/* Responsive: Tablets */
@media (max-width: 1023px) {
    /* .feature-post-container .feature-posts-grid {
        grid-template-columns: repeat(3, 1fr);
    } */
    .feature-post-container .feature-post-card {
        /* flex: 0 0 48%; */
    }
    /* Center last card if odd number of items */
    .feature-post-container .feature-posts-grid .feature-post-card:last-child:nth-child(odd) {
        margin-left: auto;
        margin-right: auto;
    }
}

/* Responsive: Mobile */
@media (max-width: 767px) {
    .feature-post-container .feature-post-card {
        grid-template-columns: repeat(1, 1fr);
    }
}
